Bug 1094745 - at_console in dbus policy makes firewalld hard to use on servers
Summary: at_console in dbus policy makes firewalld hard to use on servers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1094121 1097765
TreeView+ depends on / blocked
 
Reported: 2014-05-06 11:56 UTC by Stef Walter
Modified: 2014-06-19 22:59 UTC (History)
2 users (show)

Fixed In Version: firewalld-0.3.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1097765 (view as bug list)
Environment:
Last Closed: 2014-06-19 22:59:01 UTC


Attachments (Terms of Use)

Description Stef Walter 2014-05-06 11:56:16 UTC
Description of problem:

Use of at_console="true" in the firewalld DBus policy file makes firewalld hard to use on servers, where users are logged in via ssh, or via Cockpit, but not at a console.

at_console="true" is a real old relic, that was never really implemented. Modern services should be using polkit.

NetworkManager moved away from it for the same reasons (want to be usable on servers): bug #979416

Version-Release number of selected component (if applicable):

firewalld-0.3.9.3-1.fc20.noarch

[stef@stef firewalld]$ git grep at_console
config/FirewallD.conf:  <policy at_console="true">

Comment 2 Fedora Update System 2014-05-29 09:09:04 UTC
firewalld-0.3.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firewalld-0.3.10-1.fc20

Comment 3 Fedora Update System 2014-05-29 23:23:51 UTC
Package firewalld-0.3.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6834/firewalld-0.3.10-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-06-19 22:59:01 UTC
firewalld-0.3.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.